com.mysql.cj.protocol

## Interface Message

    public interface Message

Message is the content of a full single message (native protocol packet or protobuf message), independent from on-wire splitting, communicated with the server.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `getByteBuffer()` Returns the array of bytes this Buffer is using to read from.
`int` `getPosition()` Returns the current position to write to/ read from

### Method Detail

#### getByteBuffer

    byte[] getByteBuffer()

Returns the array of bytes this Buffer is using to read from.

Returns:
  byte array being read from

#### getPosition

    int getPosition()

Returns the current position to write to/ read from

Returns:
  the current position to write to/ read from

Copyright © 2016, 2024, Oracle and/or its affiliates.